package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * <p>
 * MeetingCountByExpertVo
 * </p>
 *
 * @author WendyYang
 * @since 10:23 2022/10/19
 */
@Data
@AllArgsConstructor
@ApiModel("专家工作台：会议数量统计视图")
public class MeetingCountByExpertVO {

    @ApiModelProperty("待参加数量")
    private Integer toBeAttended;

    @ApiModelProperty("已参加数量")
    private Integer attended;

    @ApiModelProperty("请假数量")
    private Integer leaved;

    public static MeetingCountByExpertVO init() {
        return new MeetingCountByExpertVO(0, 0, 0);
    }

    public void incrToBeAttended() {
        this.toBeAttended += 1;
    }

    public void incrAttended() {
        this.attended += 1;
    }

    public void incrLeaved() {
        this.leaved += 1;
    }

}
